# The &gcompris; Administration Handbook

This documentation was converted from the &gcompris; Manual page.
&FDLNotice;
2016-01-24
0.52

&gcompris; is a multi-activity educational software.

KDE
education
children
games

## Administration Handbook

### Introduction

&gcompris; is a completely free educational software suite which contains a wide range of activities.

It offers various activities aimed at covering a variety of fields such as the functioning of the computer, using the mouse and keyboard, general learning, reading, writing, foreign languages, algebra, as well as various activities such as memory and logic games, scientific experiments &etc;.

In &gcompris; you will find many individual software packages which together make up the complete &gcompris; suite of activities. Unfortunately, it is difficult to follow and maintain them as each one offers different graphic interfaces which vary widely in quality.

The purpose of &gcompris; is to provide a development platform for educational activities.

&gcompris; is part of &kde; project and is placed under the GPL license.

### Minimal configuration

- Processor : 1.6GHz Atom CPU

- Memory (RAM) : 1 Giga Byte

- Disk : 300 Mega Bytes

- Operating system : &GNU;/&Linux;, &BSD;, MacOSX, &Windows;, Android, SailfishOS

- Video : A 3D card with support of OpenGL 2.1 or higher is required. 32 bits color depth mandatory

### Installation

The software is delivered under several forms. Follow the process according to your case.

- &GNU;/&Linux; : Use the packages delivered by your &GNU;/&Linux; distribution. You may have to install the package gcompris-sound-en to have the English voices. If &gcompris; is not packaged in your &Linux; distribution, please contact them to ask for the inclusion of &gcompris; in your &Linux; distribution.

- &Windows; : Delivered under a classic installer for &Windows;. This version requires an activation code.

- MacOSX : Delivered under a classic installer. This version requires an activation code.

### The User Interface

The interface is designed for easy use by small children. &gcompris; is controlled with a mouse, it cannot be used without a mouse or a pointing system.

#### Main window

When you start the program, &gcompris; shows a graphic interface which presents the list of activities with a control bar at the bottom.

Here's a screenshot of &gcompris; Main Window
&gcompris; Main Window

Each icon represents an activity. Around each one, you can find small icons which give additional information about the activity. A simple click on the icon will lead you to an activity or a menu of activities. There are 8 sections (categories) of activities, which placed on the top or on the left (only if your orientation is portrait). For example, there is section "Board games", which includes board games, like chess, tic tac toe or align four

The stars indicates the age group for which each game is designed:

- 1, 2 or 3 yellow stars - for 2 to 6 years old.

- 1, 2 or 3 red stars - greater than 6 years old.

At the bottom of the screen there is a control bar for &gcompris;. The following icons are described below from the right to the left (the icons are only displayed if they are available in the activity):

- Home - Leaves the current activity, returns to the previous menu.

- "OK" - Validate, confirm your answer. Some activities do not detect automatically whether or not the child has completed the task. In this case, you have to click on this icon. You can also use the &Enter; key on your keyboard.

- Arrows - The present level is displayed. Click on one of the arrows to select another level. Generally, the activities offer several levels whose numbers depend on the activity. In &gcompris;, it is possible to go to the next level without having completed the current level.

- Lips - Ask &gcompris; to repeat the question.

- Question mark - Display the help dialog box. Sometimes, an activity can be too complex to be described easily in the description area. In this case, this function gives access to additional information.

- Tool box - Configuration menu. The configuration is saved in the user repository (folder) under the name `.config/gcompris/gcompris.conf`. This is a text file which can be edited manually.

- Capital "G" - Information box on &gcompris;, presents the main contributors and the version of the software.

- Power - Quit &gcompris;. You can also use the short cut on your keyboard &Ctrl;Q

#### Kiosk Mode

When you use &gcompris; with small children or on a self-service kiosk, you can disable a certain number of options:

- ``gcompris --disable-quit`` : disable the Quit button.

- ``gcompris -f`` : run &gcompris; in fullscreen mode

- ``gcompris -C`` : disable the cursor (touch screen mode)

These options can of course be combined.

#### Keyboard Shortcuts

Shortcut | Action
&Esc; or &Ctrl;W | Quit the current activity or dialog then return to the main menu
&Ctrl;Q | Quit &gcompris; without further notice
&Ctrl;F | Toggle fullscreen mode
&Ctrl;M | Toggle sound mute
&Ctrl;B | Display or Hide the control bar

### Notes on Internationalization

&gcompris; is internationalized and is available in more than 50 languages. If you want to check if your language is available, you can start &gcompris; and select your language in the option of configuration.

Be careful, your operating system must support your language so that &gcompris; can use it. If you find a red cross while selecting a language in &gcompris;, this means that your system does not support it, even if a translation is available in &gcompris;.

On &GNU;/&Linux;, if your language is not available, select another language support on your distribution to add it. In most cases, you have to install an additional package 'locale-xx' or 'language-pack-xx' - xx is a language code such as 'En' for English.

If your language is not supported, you can contribute to the software and add the translation of your language. If you are interested, you can contact the translation team of the &kde; project for your language. You can check the level of translation for your language on the &kde; translation web site.

### Language learning

You can use &gcompris; in a foreign language that you are learning. Select a foreign language in the configuration menu. Do not forget to install the optional audio modules for this language in your &GNU;/&Linux; distribution.

&Windows; version is provided with all audio support that are available. Whilst using &gcompris; in another language it is possible to configure some activities more precisely using the audio set through the administration module.

### Customizing activities

You can customize some activities using tool button in them. For example, you can set lang in some text activities (like wordsgame), or make it show real car images instead of filled rectangles (traffic)

Select mode of activity "Traffic"
Select mode of activity "Traffic"

### Console Switches

Running &gcompris; from a command console with the --help option will display all the parameters it accepts:

-f, --fullscreen | Run &gcompris; in fullscreen mode
-w, --window | Run &gcompris; in window mode
-s, --sound | Run &gcompris; with sound enabled
-m, --mute | Run &gcompris; without sound
-c, --cursor | Run &gcompris; with the default system cursor
-C, --nocursor | Run &gcompris; without cursor (touch screen mode)
-v, --version | Print the version of &gcompris;
--export-activities-as-sql | Export activities as SQL
--enable-config | Enable the config button (default)
--disable-config | Disable the config button

#### &Windows; Example

You can add these switches in the desktop icon properties. Here is an example that runs &gcompris; in kiosk mode in full screen, without config button and cursor:

``"C:\Program Files\Gcompris\gcompris-qt.exe" --disable-config -f -C``

#### &GNU;/&Linux; Example

Create an application launcher and configure the command line parameters. Here is an example that runs &gcompris; in kiosk mode in full screen, without config button and cursor:

``gcompris-qt --disable-config -f -C``

## Credits and License

&gcompris;

Program copyright 2000-2018 Bruno Coudoin and others

Documentation Copyright see the Manual page history

&underFDL;

&underGPL;

&documentation.index;